com.sun.mirror.apt

## Class AnnotationProcessors

- java.lang.Object
- - com.sun.mirror.apt.AnnotationProcessors

- Deprecated.
  All components of this API have been superseded by the standardized annotation processing API. There is no direct analog of the functionality of this class in the standardized API.

      @Deprecated
      public class AnnotationProcessors
      extends Object

  Utilities to create specialized annotation processors.
  Since:
    1.5

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AnnotationProcessor` | `NO_OP` Deprecated. An annotation processor that does nothing and has no state.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationProcessors()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AnnotationProcessor` | `getCompositeAnnotationProcessor(AnnotationProcessor... aps)` Deprecated. Constructs a new composite annotation processor.
    `static AnnotationProcessor` | `getCompositeAnnotationProcessor(Collection<AnnotationProcessor> aps)` Deprecated. Constructs a new composite annotation processor.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NO_OP

          public static final AnnotationProcessor NO_OP

      Deprecated.
      An annotation processor that does nothing and has no state. May be used multiple times.
      Since:
        1.5

  - ### Constructor Detail

    - #### AnnotationProcessors

          public AnnotationProcessors()

      Deprecated.

  - ### Method Detail

    - #### getCompositeAnnotationProcessor

          public static AnnotationProcessor getCompositeAnnotationProcessor(AnnotationProcessor... aps)

      Deprecated.
      Constructs a new composite annotation processor. A composite annotation processor combines multiple annotation processors into one and functions by invoking each of its component processors' process methods in sequence.
      Parameters:
        `aps` - The processors to create a composite of
      Since:
        1.5

    - #### getCompositeAnnotationProcessor

          public static AnnotationProcessor getCompositeAnnotationProcessor(Collection<AnnotationProcessor> aps)

      Deprecated.
      Constructs a new composite annotation processor. A composite annotation processor combines multiple annotation processors into one and functions by invoking each of its component processors' process methods in the sequence the processors are returned by the collection's iterator.
      Parameters:
        `aps` - A collection of processors to create a composite of
      Since:
        1.5

Copyright © 2004, 2019, Oracle and/or its affiliates. All rights reserved.